Loading...
Searching...
No Matches
gx_engine::ControllerArray Class Reference

`#include <gx_parameter.h>`

Inheritance diagram for gx_engine::ControllerArray:

## Public Types

enum | { array_size = 328 }

## Public Member Functions

| ControllerArray ()
| ~ControllerArray ()
void | writeJSON (gx_system::JsonWriter &jw) const
void | readJSON (gx_system::JsonParser &jp, ParamMap &param)
int | param2controller (Parameter &param, const MidiController **p)
bool | deleteParameter (Parameter &p)

## Detailed Description

Definition at line 757 of file gx_parameter.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
array_size |

Definition at line 759 of file gx_parameter.h.

## Constructor & Destructor Documentation

## ControllerArray()

gx_engine::ControllerArray::ControllerArray | ( |  | ) |

inline

Definition at line 760 of file gx_parameter.h.

## ~ControllerArray()

gx_engine::ControllerArray::~ControllerArray | ( |  | ) |

inline

Definition at line 761 of file gx_parameter.h.

## Member Function Documentation

## deleteParameter()

bool gx_engine::ControllerArray::deleteParameter | ( | Parameter & | p | ) |

## param2controller()

int gx_engine::ControllerArray::param2controller | ( | Parameter & | param,
|  | const MidiController ** | p )

## readJSON()

void gx_engine::ControllerArray::readJSON | ( | gx_system::JsonParser & | jp,
|  | ParamMap & | param )

## writeJSON()

void gx_engine::ControllerArray::writeJSON | ( | gx_system::JsonWriter & | jw | ) | const

The documentation for this class was generated from the following file:

- src/headers/gx_parameter.h